Index: trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90	(revision 1788)
@@ -1,10 +1,10 @@
       subroutine callcorrk(ngrid,nlayer,pq,nq,qsurf,           &
           albedo,albedo_equivalent,emis,mu0,pplev,pplay,pt,    & 
-          tsurf,fract,dist_star,aerosol,                       &
+          tsurf,fract,dist_star,                               &
           dtlw,dtsw,fluxsurf_lw,                               &
           fluxsurf_sw,fluxsurfabs_sw,fluxtop_lw,               &
           fluxabs_sw,fluxtop_dn,                               &
           OLR_nu,OSR_nu,                                       &
-          tau_col,firstcall,lastcall)
+          firstcall,lastcall)
 
       use mod_phys_lmdz_para, only : is_master
@@ -14,6 +14,4 @@
       use ioipsl_getin_p_mod, only: getin_p
       use gases_h
-      use radii_mod, only : su_aer_radii,back2lay_reffrad
-      use aerosol_mod, only : iaero_back2lay
       USE tracer_h
       use comcstfi_mod, only: pi, mugaz, cpp
@@ -64,5 +62,4 @@
       
       ! OUTPUT
-      REAL,INTENT(OUT) :: aerosol(ngrid,nlayer,naerkind) ! Aerosol tau (kg/kg).
       REAL,INTENT(OUT) :: dtlw(ngrid,nlayer)             ! Heating rate (K/s) due to LW radiation.
       REAL,INTENT(OUT) :: dtsw(ngrid,nlayer)             ! Heating rate (K/s) due to SW radiation.
@@ -75,23 +72,7 @@
       REAL,INTENT(OUT) :: OLR_nu(ngrid,L_NSPECTI)        ! Outgoing LW radition in each band (Normalized to the band width (W/m2/cm-1).
       REAL,INTENT(OUT) :: OSR_nu(ngrid,L_NSPECTV)        ! Outgoing SW radition in each band (Normalized to the band width (W/m2/cm-1).
-      REAL,INTENT(OUT) :: tau_col(ngrid)                 ! Diagnostic from aeropacity.
       REAL,INTENT(OUT) :: albedo_equivalent(ngrid)       ! Spectrally Integrated Albedo. For Diagnostic. By MT2015
       
       
-      ! Globally varying aerosol optical properties on GCM grid ; not needed everywhere so not in radcommon_h.   
-      REAL :: QVISsQREF3d(ngrid,nlayer,L_NSPECTV,naerkind)
-      REAL :: omegaVIS3d(ngrid,nlayer,L_NSPECTV,naerkind)
-      REAL :: gVIS3d(ngrid,nlayer,L_NSPECTV,naerkind)
-      REAL :: QIRsQREF3d(ngrid,nlayer,L_NSPECTI,naerkind)
-      REAL :: omegaIR3d(ngrid,nlayer,L_NSPECTI,naerkind)
-      REAL :: gIR3d(ngrid,nlayer,L_NSPECTI,naerkind)
-
-!      REAL :: omegaREFvis3d(ngrid,nlayer,naerkind)
-!      REAL :: omegaREFir3d(ngrid,nlayer,naerkind) ! not sure of the point of these...
-
-      REAL,ALLOCATABLE,SAVE :: reffrad(:,:,:)  ! aerosol effective radius (m)
-      REAL,ALLOCATABLE,SAVE :: nueffrad(:,:,:) ! aerosol effective variance
-!$OMP THREADPRIVATE(reffrad,nueffrad)
-
 !-----------------------------------------------------------------------
 !     Declaration of the variables required by correlated-k subroutines
@@ -114,5 +95,4 @@
       REAL*8 taucumi(L_LEVELS,L_NSPECTI,L_NGAUSS)
 
-      REAL*8 tauaero(L_LEVELS,naerkind)
       REAL*8 nfluxtopv,nfluxtopi,nfluxtop,fluxtopvdn
       REAL*8 nfluxoutv_nu(L_NSPECTV)                 ! Outgoing band-resolved VI flux at TOA (W/m2).
@@ -125,5 +105,5 @@
       REAL*8 albv(L_NSPECTV)                         ! Spectral Visible Albedo.
 
-      INTEGER ig,l,k,nw,iaer
+      INTEGER ig,l,k,nw
 
       real szangle
@@ -134,19 +114,6 @@
       real*8 taugsurfi(L_NSPECTI,L_NGAUSS-1)
 
-      ! Local aerosol optical properties for each column on RADIATIVE grid.
-      real*8,save,allocatable ::  QXVAER(:,:,:)
-      real*8,save,allocatable ::  QSVAER(:,:,:)
-      real*8,save,allocatable ::  GVAER(:,:,:)
-      real*8,save,allocatable ::  QXIAER(:,:,:)
-      real*8,save,allocatable ::  QSIAER(:,:,:)
-      real*8,save,allocatable ::  GIAER(:,:,:)
-
-      real, dimension(:,:,:), save, allocatable :: QREFvis3d
-      real, dimension(:,:,:), save, allocatable :: QREFir3d
-!$OMP THREADPRIVATE(QXVAER,QSVAER,GVAER,QXIAER,QSIAER,GIAER,QREFvis3d,QREFir3d)
-
 
       ! Miscellaneous :
-      real*8  temp,temp1,temp2,pweight
       character(len=10) :: tmp1
       character(len=10) :: tmp2
@@ -167,28 +134,6 @@
       if(firstcall) then
 
-        ! test on allocated necessary because of CLFvarying (two calls to callcorrk in physiq)
-        if(.not.allocated(QXVAER)) allocate(QXVAER(L_LEVELS,L_NSPECTV,naerkind))
-        if(.not.allocated(QSVAER)) allocate(QSVAER(L_LEVELS,L_NSPECTV,naerkind))
-        if(.not.allocated(GVAER)) allocate(GVAER(L_LEVELS,L_NSPECTV,naerkind))
-        if(.not.allocated(QXIAER)) allocate(QXIAER(L_LEVELS,L_NSPECTI,naerkind))
-        if(.not.allocated(QSIAER)) allocate(QSIAER(L_LEVELS,L_NSPECTI,naerkind))
-        if(.not.allocated(GIAER)) allocate(GIAER(L_LEVELS,L_NSPECTI,naerkind))
-
-         !!! ALLOCATED instances are necessary because of CLFvarying (strategy to call callcorrk twice in physiq...)
-         IF(.not.ALLOCATED(QREFvis3d)) ALLOCATE(QREFvis3d(ngrid,nlayer,naerkind))
-         IF(.not.ALLOCATED(QREFir3d)) ALLOCATE(QREFir3d(ngrid,nlayer,naerkind))
-         ! Effective radius and variance of the aerosols
-         IF(.not.ALLOCATED(reffrad)) allocate(reffrad(ngrid,nlayer,naerkind))
-         IF(.not.ALLOCATED(nueffrad)) allocate(nueffrad(ngrid,nlayer,naerkind))
-
          call system('rm -f surf_vals_long.out')
 
-         if(naerkind.gt.4)then
-            print*,'Code not general enough to deal with naerkind > 4 yet.'
-            call abort
-         endif
-         call su_aer_radii(ngrid,nlayer,reffrad,nueffrad)
-         
-         
 !--------------------------------------------------
 !             Set up correlated k
@@ -207,6 +152,4 @@
          call setspv            ! Basic visible properties.
          call sugas_corrk       ! Set up gaseous absorption properties.
-         call suaer_corrk       ! Set up aerosol optical properties.
-        
 
          OLR_nu(:,:) = 0.
@@ -240,24 +183,4 @@
 !=======================================================================
  
-      qxvaer(:,:,:)=0.0
-      qsvaer(:,:,:)=0.0
-      gvaer(:,:,:) =0.0
-
-      qxiaer(:,:,:)=0.0
-      qsiaer(:,:,:)=0.0
-      giaer(:,:,:) =0.0
-
-!--------------------------------------------------
-!     Effective radius and variance of the aerosols
-!--------------------------------------------------
-
-      do iaer=1,naerkind
-     
-          if(iaer.eq.iaero_back2lay)then
-            call back2lay_reffrad(ngrid,reffrad(1,1,iaero_back2lay),nlayer,pplev)
-         endif
-         
-     end do !iaer=1,naerkind.
-
 
       ! How much light do we get ?
@@ -266,16 +189,4 @@
       end do
 
-      ! Get 3D aerosol optical properties.
-      call aeroptproperties(ngrid,nlayer,reffrad,nueffrad,         &
-           QVISsQREF3d,omegaVIS3d,gVIS3d,                          &
-           QIRsQREF3d,omegaIR3d,gIR3d,                             &
-           QREFvis3d,QREFir3d)                                     
-
-      ! Get aerosol optical depths.
-      call aeropacity(ngrid,nlayer,nq,pplay,pplev,pq,aerosol,      &
-           reffrad,QREFvis3d,QREFir3d,                             & 
-           tau_col)                
-          
-
 
 !-----------------------------------------------------------------------    
@@ -288,139 +199,4 @@
 !=======================================================================
 
-
-!-----------------------------------------------------------------------
-!    Aerosol optical properties Qext, Qscat and g.
-!    The transformation in the vertical is the same as for temperature.
-!-----------------------------------------------------------------------
-           
-           
-            do iaer=1,naerkind
-               ! Shortwave.
-               do nw=1,L_NSPECTV 
-               
-                  do l=1,nlayer
-
-                     temp1=QVISsQREF3d(ig,nlayer+1-l,nw,iaer)         &
-                         *QREFvis3d(ig,nlayer+1-l,iaer)
-
-                     temp2=QVISsQREF3d(ig,max(nlayer-l,1),nw,iaer)    &
-                         *QREFvis3d(ig,max(nlayer-l,1),iaer)
-
-                     qxvaer(2*l,nw,iaer)  = temp1
-                     qxvaer(2*l+1,nw,iaer)=(temp1+temp2)/2
-
-                     temp1=temp1*omegavis3d(ig,nlayer+1-l,nw,iaer)
-                     temp2=temp2*omegavis3d(ig,max(nlayer-l,1),nw,iaer)
-
-                     qsvaer(2*l,nw,iaer)  = temp1
-                     qsvaer(2*l+1,nw,iaer)=(temp1+temp2)/2
-
-                     temp1=gvis3d(ig,nlayer+1-l,nw,iaer)
-                     temp2=gvis3d(ig,max(nlayer-l,1),nw,iaer)
-
-                     gvaer(2*l,nw,iaer)  = temp1
-                     gvaer(2*l+1,nw,iaer)=(temp1+temp2)/2
-
-                  end do ! nlayer
-
-                  qxvaer(1,nw,iaer)=qxvaer(2,nw,iaer)
-                  qxvaer(2*nlayer+1,nw,iaer)=0.
-
-                  qsvaer(1,nw,iaer)=qsvaer(2,nw,iaer)
-                  qsvaer(2*nlayer+1,nw,iaer)=0.
-
-                  gvaer(1,nw,iaer)=gvaer(2,nw,iaer)
-                  gvaer(2*nlayer+1,nw,iaer)=0.
-
-               end do ! L_NSPECTV
-             
-               do nw=1,L_NSPECTI
-                  ! Longwave
-                  do l=1,nlayer
-
-                     temp1=QIRsQREF3d(ig,nlayer+1-l,nw,iaer)         &
-                          *QREFir3d(ig,nlayer+1-l,iaer)
-
-                     temp2=QIRsQREF3d(ig,max(nlayer-l,1),nw,iaer)    &
-                          *QREFir3d(ig,max(nlayer-l,1),iaer)
-
-                     qxiaer(2*l,nw,iaer)  = temp1
-                     qxiaer(2*l+1,nw,iaer)=(temp1+temp2)/2
-
-                     temp1=temp1*omegair3d(ig,nlayer+1-l,nw,iaer)
-                     temp2=temp2*omegair3d(ig,max(nlayer-l,1),nw,iaer)
-
-                     qsiaer(2*l,nw,iaer)  = temp1
-                     qsiaer(2*l+1,nw,iaer)=(temp1+temp2)/2
-
-                     temp1=gir3d(ig,nlayer+1-l,nw,iaer)
-                     temp2=gir3d(ig,max(nlayer-l,1),nw,iaer)
-
-                     giaer(2*l,nw,iaer)  = temp1
-                     giaer(2*l+1,nw,iaer)=(temp1+temp2)/2
-
-                  end do ! nlayer
-
-                  qxiaer(1,nw,iaer)=qxiaer(2,nw,iaer)
-                  qxiaer(2*nlayer+1,nw,iaer)=0.
-
-                  qsiaer(1,nw,iaer)=qsiaer(2,nw,iaer)
-                  qsiaer(2*nlayer+1,nw,iaer)=0.
-
-                  giaer(1,nw,iaer)=giaer(2,nw,iaer)
-                  giaer(2*nlayer+1,nw,iaer)=0.
-
-               end do ! L_NSPECTI
-               
-            end do ! naerkind
-
-            ! Test / Correct for freaky s. s. albedo values.
-            do iaer=1,naerkind
-               do k=1,L_LEVELS
-
-                  do nw=1,L_NSPECTV
-                     if(qsvaer(k,nw,iaer).gt.1.05*qxvaer(k,nw,iaer))then
-                        print*,'Serious problems with qsvaer values' 
-                        print*,'in callcorrk'
-                        call abort
-                     endif
-                     if(qsvaer(k,nw,iaer).gt.qxvaer(k,nw,iaer))then
-                        qsvaer(k,nw,iaer)=qxvaer(k,nw,iaer)
-                     endif
-                  end do
-
-                  do nw=1,L_NSPECTI 
-                     if(qsiaer(k,nw,iaer).gt.1.05*qxiaer(k,nw,iaer))then
-                        print*,'Serious problems with qsiaer values'
-                        print*,'in callcorrk'
-                        call abort
-                     endif
-                     if(qsiaer(k,nw,iaer).gt.qxiaer(k,nw,iaer))then
-                        qsiaer(k,nw,iaer)=qxiaer(k,nw,iaer)
-                     endif
-                  end do
-
-               end do ! L_LEVELS
-            end do ! naerkind
-
-!-----------------------------------------------------------------------
-!     Aerosol optical depths
-!-----------------------------------------------------------------------
-            
-         do iaer=1,naerkind     ! a bug was here           
-            do k=0,nlayer-1
-               
-               pweight=(pplay(ig,L_NLAYRAD-k)-pplev(ig,L_NLAYRAD-k+1))/   &
-                       (pplev(ig,L_NLAYRAD-k)-pplev(ig,L_NLAYRAD-k+1))
-               temp=aerosol(ig,L_NLAYRAD-k,iaer)/QREFvis3d(ig,L_NLAYRAD-k,iaer)
-               tauaero(2*k+2,iaer)=max(temp*pweight,0.d0)
-               tauaero(2*k+3,iaer)=max(temp-tauaero(2*k+2,iaer),0.d0)
-
-            end do
-            ! boundary conditions
-            tauaero(1,iaer)          = tauaero(2,iaer)
-            !tauaero(1,iaer)          = 0.
-            
-         end do ! naerkind
 
          ! Albedo and Emissivity.
@@ -586,6 +362,5 @@
             
             call optcv(dtauv,tauv,taucumv,plevrad,                 &
-                 qxvaer,qsvaer,gvaer,wbarv,cosbv,tauray,tauaero,   &
-                 tmid,pmid,taugsurf)
+                 wbarv,cosbv,tauray,tmid,pmid,taugsurf)
 
             call sfluxv(dtauv,tauv,taucumv,albv,dwnv,wbarv,cosbv,  &
@@ -629,6 +404,5 @@
 
          call optci(plevrad,tlevrad,dtaui,taucumi,                  &
-              qxiaer,qsiaer,giaer,cosbi,wbari,tauaero,tmid,pmid,    &
-              taugsurfi)
+              cosbi,wbari,tmid,pmid,taugsurfi)
 
          call sfluxi(plevrad,tlevrad,dtaui,taucumi,ubari,albi,      &
@@ -655,5 +429,4 @@
             print*,'fluxtop_dn=',fluxtop_dn(ig)
             print*,'acosz=',acosz
-            print*,'aerosol=',aerosol(ig,:,:)
             print*,'temp=   ',pt(ig,:)
             print*,'pplay=  ',pplay(ig,:)
@@ -754,6 +527,4 @@
 !$OMP END MASTER
 !$OMP BARRIER
-        IF ( ALLOCATED(reffrad)) DEALLOCATE(reffrad)
-        IF ( ALLOCATED(nueffrad)) DEALLOCATE(nueffrad)
       endif
 
Index: trunk/LMDZ.TITAN/libf/phytitan/callkeys_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/callkeys_mod.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/callkeys_mod.F90	(revision 1788)
@@ -31,8 +31,4 @@
       logical,save :: mass_redistrib
 !$OMP THREADPRIVATE(stelbbody,ozone,tracer,mass_redistrib)
-      logical,save :: sedimentation
-!$OMP THREADPRIVATE(sedimentation)
-      logical,save :: aeroback2lay
-!$OMP THREADPRIVATE(aeroback2lay)
       logical,save :: nosurf
       logical,save :: oblate
@@ -41,24 +37,11 @@
       integer,save :: ichim
       integer,save :: iddist
-      integer,save :: iaervar
       integer,save :: iradia
       integer,save :: startype
-!$OMP THREADPRIVATE(ichim,iddist,iaervar,iradia,startype)
+!$OMP THREADPRIVATE(ichim,iddist,iradia,startype)
 
       real,save :: Fat1AU
       real,save :: stelTbb
 !$OMP THREADPRIVATE(Fat1AU,stelTbb)
-      real,save :: tplanet
-      real,save :: obs_tau_col_tropo
-      real,save :: obs_tau_col_strato
-!$OMP THREADPRIVATE(tplanet,obs_tau_col_tropo,obs_tau_col_strato)
-      real,save :: pres_bottom_tropo
-      real,save :: pres_top_tropo
-      real,save :: pres_bottom_strato
-      real,save :: pres_top_strato
-!$OMP THREADPRIVATE(pres_bottom_tropo,pres_top_tropo,pres_bottom_strato,pres_top_strato)
-      real,save :: size_tropo
-      real,save :: size_strato
-!$OMP THREADPRIVATE(size_tropo,size_strato)
       real,save :: pceil
 !$OMP THREADPRIVATE(pceil)
Index: trunk/LMDZ.TITAN/libf/phytitan/datafile_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/datafile_mod.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/datafile_mod.F90	(revision 1788)
@@ -18,7 +18,4 @@
       character(len=12),parameter :: surfdir="surface_data"
       
-      ! aerdir stores aerosol properties files (optprop_*dat files)
-      character(LEN=18),parameter :: aerdir="aerosol_properties" 
-
       end module datafile_mod
 !-----------------------------------------------------------------------
Index: trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90	(revision 1788)
@@ -9,5 +9,5 @@
              prad,pg,pr,pcpp)
 
-  use radinc_h, only: ini_radinc_h, naerkind
+  use radinc_h, only: ini_radinc_h
   use datafile_mod, only: datadir
   use comdiurn_h, only: sinlat, coslat, sinlon, coslon
@@ -385,9 +385,4 @@
      endif
 
-     write(*,*)"Default planetary temperature?"
-     tplanet=215.0
-     call getin_p("tplanet",tplanet)
-     write(*,*)" tplanet = ",tplanet
-
      write(*,*)"Which star?"
      startype=1 ! default value = Sol
@@ -399,71 +394,4 @@
      call getin_p("Fat1AU",Fat1AU)
      write(*,*)" Fat1AU = ",Fat1AU
-
-
-! TRACERS:
-
-!         write(*,*)"Number of radiatively active aerosols:"
-!         naerkind=0. ! default value
-!         call getin_p("naerkind",naerkind)
-!         write(*,*)" naerkind = ",naerkind
-
- 
-!=================================
-
-     write(*,*)"Radiatively active two-layer aersols?"
-     aeroback2lay=.false.     ! default value
-     call getin_p("aeroback2lay",aeroback2lay)
-     write(*,*)" aeroback2lay = ",aeroback2lay
-
-     write(*,*)"TWOLAY AEROSOL: total optical depth ", &
-                    "in the tropospheric layer (visible)"
-     obs_tau_col_tropo=8.D0
-     call getin_p("obs_tau_col_tropo",obs_tau_col_tropo)
-     write(*,*)" obs_tau_col_tropo = ",obs_tau_col_tropo
-
-     write(*,*)"TWOLAY AEROSOL: total optical depth ", &
-                    "in the stratospheric layer (visible)"
-     obs_tau_col_strato=0.08D0
-     call getin_p("obs_tau_col_strato",obs_tau_col_strato)
-     write(*,*)" obs_tau_col_strato = ",obs_tau_col_strato
-
-     write(*,*)"TWOLAY AEROSOL: pres_bottom_tropo? in pa"
-     pres_bottom_tropo=66000.0
-     call getin_p("pres_bottom_tropo",pres_bottom_tropo)
-     write(*,*)" pres_bottom_tropo = ",pres_bottom_tropo
-
-     write(*,*)"TWOLAY AEROSOL: pres_top_tropo? in pa"
-     pres_top_tropo=18000.0
-     call getin_p("pres_top_tropo",pres_top_tropo)
-     write(*,*)" pres_top_tropo = ",pres_top_tropo
-
-     write(*,*)"TWOLAY AEROSOL: pres_bottom_strato? in pa"
-     pres_bottom_strato=2000.0
-     call getin_p("pres_bottom_strato",pres_bottom_strato)
-     write(*,*)" pres_bottom_strato = ",pres_bottom_strato
-
-     write(*,*)"TWOLAY AEROSOL: pres_top_strato? in pa"
-     pres_top_strato=100.0
-     call getin_p("pres_top_strato",pres_top_strato)
-     write(*,*)" pres_top_strato = ",pres_top_strato
-
-     write(*,*)"TWOLAY AEROSOL: particle size in the ", &
-                    "tropospheric layer, in meters"
-     size_tropo=2.e-6
-     call getin_p("size_tropo",size_tropo)
-     write(*,*)" size_tropo = ",size_tropo
-
-     write(*,*)"TWOLAY AEROSOL: particle size in the ", &
-                    "stratospheric layer, in meters"
-     size_strato=1.e-7
-     call getin_p("size_strato",size_strato)
-     write(*,*)" size_strato = ",size_strato
-
-!=================================
-
-     write(*,*) "Gravitationnal sedimentation ?"
-     sedimentation=.false. ! default value
-     call getin_p("sedimentation",sedimentation)
-     write(*,*) " sedimentation = ",sedimentation       
 
      write(*,*) "Does user want to force cpp and mugaz?"
Index: trunk/LMDZ.TITAN/libf/phytitan/initracer.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/initracer.F	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/initracer.F	(revision 1788)
@@ -32,12 +32,7 @@
 
 
-c-----------------------------------------------------------------------
-c  radius(nq)      ! aerosol particle radius (m)
+c------------------------------------------------
 c  rho_q(nq)       ! tracer densities (kg.m-3)
-c  qext(nq)        ! Single Scat. Extinction coeff at 0.67 um
-c  alpha_lift(nq)  ! saltation vertical flux/horiz flux ratio (m-1)
-c  alpha_devil(nq) ! lifting coeeficient by dust devil
-c-----------------------------------------------------------------------
-
+c------------------------------------------------
        nqtot=nq
        !! we allocate once for all arrays in common in tracer_h.F90
@@ -45,18 +40,5 @@
        IF (.NOT.ALLOCATED(noms)) ALLOCATE(noms(nq))
        ALLOCATE(mmol(nq))
-       ALLOCATE(radius(nq))
        ALLOCATE(rho_q(nq))
-       ALLOCATE(qext(nq))
-       ALLOCATE(alpha_lift(nq))
-       ALLOCATE(alpha_devil(nq))
-       ALLOCATE(qextrhor(nq))
-       !! initialization
-       alpha_lift(:)=0.
-       alpha_devil(:)=0.
-       
-       ! Added by JVO 2017 : these arrays are handled later
-       ! -> initialization is the least we can do, please !!!
-       radius(:)=0.
-       qext(:)=0.
 
 ! Initialization: get tracer names from the dynamics and check if we are
@@ -373,14 +355,3 @@
 
 
-c     Output for records:
-c     ~~~~~~~~~~~~~~~~~~
-      write(*,*)
-      Write(*,*) '******** initracer : dust transport parameters :'
-      write(*,*) 'alpha_lift = ', alpha_lift
-      write(*,*) 'alpha_devil = ', alpha_devil
-      write(*,*) 'radius  = ', radius
-      
-      write(*,*) 'Qext  = ', qext 
-      write(*,*)
-
       end
Index: trunk/LMDZ.TITAN/libf/phytitan/optci.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/optci.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/optci.F90	(revision 1788)
@@ -1,5 +1,4 @@
 subroutine optci(PLEV,TLEV,DTAUI,TAUCUMI,      &
-     QXIAER,QSIAER,GIAER,COSBI,WBARI,TAUAERO,  &
-     TMID,PMID,TAUGSURF)
+     COSBI,WBARI,TMID,PMID,TAUGSURF)
 
   use radinc_h
@@ -41,12 +40,4 @@
   real*8 WBARI(L_NLAYRAD,L_NSPECTI,L_NGAUSS)
 
-  ! for aerosols
-  real*8  QXIAER(L_LEVELS,L_NSPECTI,NAERKIND)
-  real*8  QSIAER(L_LEVELS,L_NSPECTI,NAERKIND)
-  real*8  GIAER(L_LEVELS,L_NSPECTI,NAERKIND)
-  real*8  TAUAERO(L_LEVELS,NAERKIND)
-  real*8  TAUAEROLK(L_LEVELS,L_NSPECTI,NAERKIND)
-  real*8  TAEROS(L_LEVELS,L_NSPECTI,NAERKIND)
-
   ! Titan customisation
   ! J. Vatant d'Ollone (2016)
@@ -68,5 +59,5 @@
 
   real*8 taugsurf(L_NSPECTI,L_NGAUSS-1)
-  real*8 DCONT,DAERO
+  real*8 DCONT
   double precision wn_cont, p_cont, p_air, T_cont, dtemp, dtempc
   double precision p_cross
@@ -117,13 +108,4 @@
   end do                    ! levels
 
-  ! Spectral dependance of aerosol absorption
-  do iaer=1,naerkind
-     DO NW=1,L_NSPECTI
-        do K=2,L_LEVELS
-           TAEROS(K,NW,IAER) = TAUAERO(K,IAER) * QXIAER(K,NW,IAER)
-        end do                    ! levels
-     END DO
-  end do
-
   do NW=1,L_NSPECTI
 
@@ -132,6 +114,4 @@
         ilay = k / 2 ! int. arithmetic => gives the gcm layer index
         
-        DAERO=SUM(TAEROS(K,NW,1:naerkind)) ! aerosol absorption
-
         !================= Titan customisation ========================================
         call disr_haze(dz(k),plev(k),wnoi(nw),dhaze_T(k,nw),SSA_T(k,nw),ASF_T(k,nw))
@@ -240,5 +220,4 @@
            DTAUKI(K,nw,ng) = TAUGAS    & 
                              + DCONT   & ! For parameterized continuum absorption
-			     + DAERO   & ! For aerosol absorption
 			     + DHAZE_T(K,NW)  ! For Titan haze
 
@@ -251,5 +230,4 @@
         DTAUKI(K,nw,ng) = 0.d0      & 
                           + DCONT   & ! For parameterized continuum absorption
-	                  + DAERO   & ! For aerosol absorption
 	                  + DHAZE_T(K,NW)     ! For Titan Haze
 
@@ -262,12 +240,4 @@
   ! ======================================================================
 
-  do iaer=1,naerkind
-    DO NW=1,L_NSPECTI
-     DO K=2,L_LEVELS
-           TAUAEROLK(K,NW,IAER) = TAUAERO(K,IAER)*QSIAER(K,NW,IAER) ! effect of scattering albedo
-     ENDDO
-    ENDDO
-  end do
-  
   ! Haze scattering
   DO NW=1,L_NSPECTI
@@ -280,6 +250,5 @@
      DO L=1,L_NLAYRAD-1
         K              = 2*L+1
-        btemp(L,NW) = SUM(TAUAEROLK(K,NW,1:naerkind)) + SUM(TAUAEROLK(K+1,NW,1:naerkind)) &
-                      + DHAZES_T(K,NW) + DHAZES_T(K+1,NW)
+        btemp(L,NW) = DHAZES_T(K,NW) + DHAZES_T(K+1,NW)
      END DO ! L vertical loop
      
@@ -287,5 +256,5 @@
      L           = L_NLAYRAD
      K           = 2*L+1
-     btemp(L,NW) = SUM(TAUAEROLK(K,NW,1:naerkind)) + DHAZES_T(K,NW)
+     btemp(L,NW) = DHAZES_T(K,NW)
      
   END DO                    ! NW spectral loop
@@ -301,9 +270,4 @@
         atemp = 0.
         if(DTAUI(L,NW,NG) .GT. 1.0D-9) then
-           do iaer=1,naerkind
-              atemp = atemp +                                     &
-                   GIAER(K,NW,IAER)   * TAUAEROLK(K,NW,IAER) +    &
-                   GIAER(K+1,NW,IAER) * TAUAEROLK(K+1,NW,IAER)
-           end do
            atemp = atemp +                   &
                 ASF_T(K,NW)*DHAZES_T(K,NW) + &
@@ -332,7 +296,4 @@
      atemp = 0.
      if(DTAUI(L,NW,NG) .GT. 1.0D-9) then
-        do iaer=1,naerkind
-           atemp = atemp + GIAER(K,NW,IAER)   * TAUAEROLK(K,NW,IAER)
-        end do
         atemp = atemp + ASF_T(K,NW)*DHAZES_T(K,NW)
         WBARI(L,nw,ng) = btemp(L,nw)  / DTAUI(L,NW,NG)
Index: trunk/LMDZ.TITAN/libf/phytitan/optcv.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/optcv.F90	(revision 1787)
+++ trunk/LMDZ.TITAN/libf/phytitan/optcv.F90	(revision 1788)
@@ -1,5 +1,4 @@
 SUBROUTINE OPTCV(DTAUV,TAUV,TAUCUMV,PLEV,  &
-     QXVAER,QSVAER,GVAER,WBARV,COSBV,       &
-     TAURAY,TAUAERO,TMID,PMID,TAUGSURF)
+     WBARV,COSBV,TAURAY,TMID,PMID,TAUGSURF)
 
   use radinc_h
@@ -46,12 +45,4 @@
   real*8 COSBV(L_NLAYRAD,L_NSPECTV,L_NGAUSS)
   real*8 WBARV(L_NLAYRAD,L_NSPECTV,L_NGAUSS)
-
-  ! for aerosols
-  real*8  QXVAER(L_LEVELS,L_NSPECTV,NAERKIND)
-  real*8  QSVAER(L_LEVELS,L_NSPECTV,NAERKIND)
-  real*8  GVAER(L_LEVELS,L_NSPECTV,NAERKIND)
-  real*8  TAUAERO(L_LEVELS,NAERKIND)
-  real*8  TAUAEROLK(L_LEVELS,L_NSPECTV,NAERKIND)
-  real*8  TAEROS(L_LEVELS,L_NSPECTV,NAERKIND)
 
   ! Titan customisation
@@ -76,5 +67,5 @@
 
   real*8 taugsurf(L_NSPECTV,L_NGAUSS-1)
-  real*8 DCONT,DAERO
+  real*8 DCONT
   real*8 DRAYAER
   double precision wn_cont, p_cont, p_air, T_cont, dtemp, dtempc
@@ -129,13 +120,4 @@
   end do                    ! levels
 
-  ! Spectral dependance of aerosol absorption
-  do iaer=1,naerkind
-     do NW=1,L_NSPECTV
-        do K=2,L_LEVELS
-           TAEROS(K,NW,IAER) = TAUAERO(K,IAER) * QXVAER(K,NW,IAER)
-        end do                    ! levels
-     end do
-  end do
-  
   ! Rayleigh scattering
   do NW=1,L_NSPECTV
@@ -158,8 +140,4 @@
         DRAYAER = TRAY(K,NW)
         !     DRAYAER is Tau RAYleigh scattering, plus AERosol opacity
-        do iaer=1,naerkind
-           DRAYAER = DRAYAER + TAEROS(K,NW,IAER)
-        end do
-
         DRAYAER = DRAYAER + DHAZE_T(K,NW) ! Titan's aerosol
 
@@ -275,12 +253,4 @@
   !     we need to calculate the scattering albedo and asymmetry factors
 
-  do iaer=1,naerkind
-    DO NW=1,L_NSPECTV
-      DO K=2,L_LEVELS
-           TAUAEROLK(K,NW,IAER) = TAUAERO(K,IAER) * QSVAER(K,NW,IAER) ! effect of scattering albedo
-      ENDDO
-    ENDDO
-  end do
-  
   ! Haze scattering
   DO NW=1,L_NSPECTV
@@ -294,8 +264,6 @@
      DO L=1,L_NLAYRAD-1
         K              = 2*L+1
-	atemp(L,NW) = SUM(GVAER(K,NW,1:naerkind) * TAUAEROLK(K,NW,1:naerkind))+SUM(GVAER(K+1,NW,1:naerkind) * TAUAEROLK(K+1,NW,1:naerkind)) &
-                    + ASF_T(K,NW)*DHAZES_T(K,NW) + ASF_T(K+1,NW)*DHAZES_T(K+1,NW)
-        btemp(L,NW) = SUM(TAUAEROLK(K,NW,1:naerkind)) + SUM(TAUAEROLK(K+1,NW,1:naerkind)) &
-                    + DHAZES_T(K,NW) + DHAZES_T(K+1,NW)
+	atemp(L,NW) = ASF_T(K,NW)*DHAZES_T(K,NW) + ASF_T(K+1,NW)*DHAZES_T(K+1,NW)
+        btemp(L,NW) = DHAZES_T(K,NW) + DHAZES_T(K+1,NW)
 	ctemp(L,NW) = btemp(L,NW) + 0.9999*(TRAY(K,NW) + TRAY(K+1,NW)) ! JVO 2017 : does this 0.999 is really meaningful ?
 	btemp(L,NW) = btemp(L,NW) + TRAY(K,NW) + TRAY(K+1,NW)
@@ -306,8 +274,6 @@
      L           = L_NLAYRAD
      K           = 2*L+1
-     atemp(L,NW) = SUM(GVAER(K,NW,1:naerkind) * TAUAEROLK(K,NW,1:naerkind)) &
-                 + ASF_T(K,NW)*DHAZES_T(K,NW)
-     btemp(L,NW) = SUM(TAUAEROLK(K,NW,1:naerkind)) &
-                 + DHAZES_T(K,NW)
+     atemp(L,NW) = ASF_T(K,NW)*DHAZES_T(K,NW)
+     btemp(L,NW) = DHAZES_T(K,NW)
      ctemp(L,NW) = btemp(L,NW) + 0.9999*TRAY(K,NW) ! JVO 2017 : does this 0.999 is really meaningful ?
      btemp(L,NW) = btemp(L,NW) + TRAY(K,NW)
